//var baseURL = "http://114.55.30.110:8082";
var baseURL = Tools.url;

var Reg = {
	//手机号码正则表达式
	//mobileReg : /^((\+?86)|(\(\+86\)))?(13[0123456789][0-9]{8}|15[012356789][0-9]{8}|18[012356789][0-9]{8}|147[0-9]{8}|170[0-9]{8}|177[0-9]{8})$/,
	mobileReg: /^((\+?86)|(\(\+86\)))?(13[0123456789][0-9]{8}|15[012356789][0-9]{8}|18[0-9]{9}|147[0-9]{8}|17[012356789][0-9]{8})$/,
	//整数8位,小数两位
	decimalReg : /^\d{0,8}\.{0,1}(\d{1,2})?$/,
	//11位整数
	numberReg : /^\d{0,11}$/, 
	//车牌
	carNumber : /(^[\u4E00-\u9FA5]{1}[A-Z0-9]{6}$)|(^[A-Z]{2}[A-Z0-9]{2}[A-Z0-9\u4E00-\u9FA5]{1}[A-Z0-9]{4}$)|(^[\u4E00-\u9FA5]{1}[A-Z0-9]{5}[挂学警军港澳]{1}$)|(^[A-Z]{2}[0-9]{5}$)|(^(08|38){1}[A-Z0-9]{4}[A-Z0-9挂学警军港澳]{1}$)/
}


var URL = {
	//公用分页每页显示的条数
	pageSize : Tools.pageSize,
	//获取版本更新信息
	api_checkUpdate : baseURL + "/zwb/systemmanager!getAndroidLatestVersion.action",
	//更新文件下载
	api_updateFileDownLoad : baseURL + "/zwb/app/download/zwb56.wgt",
	//发布车源地址
	api_emptycar_add : baseURL + "/zwb/api/emptyCar_add.action",
	//常用线路
	api_line_myList : baseURL + "/zwb/api/line_myList.action",
	//添加路线
	api__line_add : baseURL + "/zwb/api/line_add.action",
	//获取货物种类
	api_demand_typeList : baseURL + "/zwb/api/demand_typeList.action",
	//发布货源
	api_demand_add : baseURL + "/zwb/api/demand_add",
	//编辑货源
	api_demand_update : baseURL + "/zwb/api/demand_update",
	//获取车辆类型
	api_car_typeList : baseURL + "/zwb/api/car_typeList.action",
	//获取常用车辆
	api_car_myList : baseURL + "/zwb/api/car_myList.action",
	//添加收发货地址
	api_address_add : baseURL + "/zwb/api/address_add.action",
	//收发货历史地址
	api_address_myList : baseURL + "/zwb/api/address_myList.action",
	//获取我的竞价列表和他人报价列表,根据type参数确定是竞价还是报价
	api_offer_myList : baseURL + "/zwb/api/offer_myList.action",
	//获取竞价详情
	api_offer_detail : baseURL + "/zwb/api/offer_detail.action",
	//重新竞价
	api_offer_reBidding : baseURL + "/zwb/api/offer_reBidding",
	//他人报价成交
	api_offer_confirm : baseURL + "/zwb/api/offer_confirm",
	//实时路况
	api_information_list : baseURL + "/zwb/api/information_list",
	//消息中心
	api_news_myList : baseURL + "/zwb/api/news_myList",
	//根据id获取消息
	api_information_detail : baseURL + "/zwb/api/information_detail",
	//车辆列表
	api_car_carsInfoList : baseURL + "/zwb/carsManager!carsInfoList.action",
	//删除车辆
	api_car_delete : baseURL + "/zwb/carsManager!delete",
	//新增车辆
	api_car_add : baseURL + "/zwb/carsManager!add",
	//发布车源时新增车辆
	api_car_add2 : baseURL + "/zwb/api/car_add.action",
	//编辑车辆
	api_car_update : baseURL + "/zwb/carsManager!update",
	//车源列表
	api_car_carSourceInfoList : baseURL + "/zwb/carsSourceManager!carsSourceInfoList",
	//删除车源
	api_emptyCar_delete : baseURL + "/zwb/carsSourceManager!delete2",
	//编辑车源
	api_emptyCar_update2 : baseURL + "/zwb/carsSourceManager!update2.action",
	//用户登录
	api_user_login : baseURL + "/zwb/api/user_login",
	//退出
	api_user_logout : baseURL + "/zwb/api/user_logout",
	//获取企业信息
	api_logistics_baseinfo : baseURL + "/zwb/api/logistics_baseinfo",
	//获取验证码
	api_sendMsd : baseURL + "/zwb/api/user_sendMsd",
	//语音接口
	api_sendYzmY : baseURL + "/zwb/api/user_sendYzmY",
	api_sendMsdY : baseURL + "/zwb/api/user_sendMsdY",
	//用户注册
	api_register : baseURL + "/zwb/api/user_register",
	//找回密码时发送验证码
	api_sendYzm : baseURL + "/zwb/api/user_sendYzm",
	//验证验证码
	api_meckSureYzm : baseURL + "/zwb/api/user_meckSureYzm",
	//设置密码
	api_setPwd : baseURL + "/zwb/api/user_setPwd",
	//修改公司名称
	api_editLogistics : baseURL + "/zwb/api/logistics_editLogistics",
	//修改密码
	api_updatePwd : baseURL + "/zwb/api/user_updatePwd",
	//推荐货源未读消息数量
	api_demand_rcdCount : baseURL + "/zwb/api/demand_rcdCount",
	//系统消息未读数量
	api_news_unReadCount : baseURL + "/zwb/api/news_unReadCount",
	//标记为已读
	api_news_toRead : baseURL + "/zwb/api/news_toRead",
	//获取推荐货源消息列表
	api_demand_rcdList : baseURL + "/zwb/api/demand_rcdList",
	//发表吐槽
	api_circlePost_publish : baseURL + "/zwb/api/circlePost_publish",
	//获取吐槽列表
	api_circlePost_list : baseURL + "/zwb/api/circlePost_list",
	//点赞
	api_circlePost_zan : baseURL + "/zwb/api/circlePost_zan",
	//取消点赞
	api_circlePost_cancelZan : baseURL + "/zwb/api/circlePost_cancelZan",
	//帖子详情
	api_circlePost_detail : baseURL + "/zwb/api/circlePost_detail",
	//帖子回复列表
	api_circleReply_list : baseURL + "/zwb/api/circleReply_list",
	//回复帖子
	api_circleReply_reply : baseURL + "/zwb/api/circleReply_reply",
	//更新帖子评论数量和点赞数量
	api_circleReply_count: baseURL + "/zwb/api/circlePost_count",
	//吐槽圈图片上传
	api_circlePost_upImg : baseURL + "/zwb/api/circlePost_upImg",
	//清除搜索记录
	api_circlePost_cleanHistory : baseURL + "/zwb/api/circlePost_cleanHistory",
	//获取历史搜索记录
	api_circlePost_searchHistory : baseURL + "/zwb/api/circlePost_searchHistory",
	//获取上传回单
	api_order_replys : baseURL + "/zwb/api/order_replys",
	//上传电子回单
	api_order_upReply : baseURL + "/zwb/api/order_upReply",
	//删除电子回单
	api_order_delReply : baseURL + "/zwb/api/order_delReply",
	//账户余额
	api_userWallManager : baseURL + "/zwb/userWalletManager!walletListInfo",
	//积分明细
	api_userIntegrateListInfo : baseURL + "/zwb/userIntegrateManager!userIntegrateListInfo",
	//保证金
	api_userDepositListInfo : baseURL + "/zwb/userDepositManager!userDepositListInfo",
	//新增收货地址
	api_add_address : baseURL + "/zwb/addressManager!add",
	//修复地址
	api_update_address : baseURL + "/zwb/addressManager!update",
	//地址设为默认
	api_setDefaultAddress : baseURL + "/zwb/addressManager!setDefaultAddress",
	//删除地址
	api_del_address : baseURL + "/zwb/addressManager!delete"
	
}
