
/**获取货物类型数据*/
//sourceId:来源id
//sourceId == 0表示来自发布货源页面
//sourceId == 1表示来自找货页面或者搜索页面
function initDemandType(demandTypeId, sourceId){ 
	console.log(demandTypeId);
	Tools.mAjax(URL.api_demand_typeList,null,function(data){
		var list = data.records;
		//console.log(JSON.stringify(list));
		if(list != null && list.length > 0){
			$(".typeList").empty();
			if(sourceId == 1){
				$(".typeList").append("<li><img src='images/g.png' class='g-img'>&nbsp;&nbsp;不限</li>");
			}
			
			for(var i = 0;i < list.length;i++){
				var obj = list[i];
				if(demandTypeId != undefined){
					if(obj.id == demandTypeId){
						$(".typeList").append("<li data-id='"+obj.id+"' class='active'><img src='images/g.png' class='g-img'>&nbsp;&nbsp;"+obj.text+"</li>");
					} else{
						$(".typeList").append("<li data-id='"+obj.id+"'><img src='images/g.png' class='g-img'>&nbsp;&nbsp;"+obj.text+"</li>");
					}
				} else{
					$(".typeList").append("<li data-id='"+obj.id+"'><img src='images/g.png' class='g-img'>&nbsp;&nbsp;"+obj.text+"</li>");
				}
				
			}
		}
	});
}

/**初始化区域*/
function initArea(mask, obj){
	initProvince();
}

//省
function initProvince(){ 
	
	$(".footerList").hide();
	$(".areaList").css("height", "310px");
	$(".areaList").empty();
	$(".areaTitle").empty();
	$(".areaTitle").append("<a>请选择省份</a>");

	for(var i = 0;i < cityData3.length;i++){
		var obj = cityData3[i];
		if(i % 4 == 0){
			$(".areaList").append("<li></li>");
		}
		if((i + 1) % 4 == 0){
			if(obj.value == tempCodeProvince){
				$(".areaList li:last").append("<span data-id='"+obj.value+"' style='border:1px solid #E86C36'>"+obj.text+"</span>");
			} else{
				$(".areaList li:last").append("<span data-id='"+obj.value+"'>"+obj.text+"</span>");
			}
		} else{
			if(obj.value == tempCodeProvince){
				$(".areaList li:last").append("<span data-id='"+obj.value+"' class='cen' style='border:1px solid #E86C36'>"+obj.text+"</span>");
			} else{
				$(".areaList li:last").append("<span data-id='"+obj.value+"' class='cen'>"+obj.text+"</span>");
			}
		}
	}
	areaAddClass();
	$(".areaList li").on("tap", "span", function(){
		var $this = $(this);
		var code = $this.data("id");
		var name = $this.text();
		codeValue = $this.data("id");
		tempCodeProvince = $this.data("id");
		nameValue = $this.text();
		initCity(code, name);
	});
}

var codeValue;
var nameValue;	
function initCity(code, name){
	$(".footerList").show();
	
	$(".areaList").css("height", "270px");
	$(".areaList").empty();
	$(".areaTitle").empty();
	$(".areaTitle").append("<a>当前所在省份:"+name+"</a><div class='retuPrev'><i class='mui-icon mui-icon-undo'></i>返回上一级</div>");
	for(var i = 0;i < cityData3.length;i++){
		var obj = cityData3[i];
		if(code == obj.value){
			var cList = obj.children;
			if(cList != null && cList.length > 0){
				for(var j = 0;j < cList.length;j++){
					var $this = cList[j];
					if(j % 4 == 0){
						$(".areaList").append("<li></li>");
					}
					if((j + 1) % 4 == 0){
						$(".areaList li:last").append("<span data-id='"+$this.value+"'>"+$this.text+"</span>");
					} else{
						if($this.text == "不限"){
							$(".areaList li:last").append("<span data-id='"+$this.value+"' class='cen' style='border:1px solid #E86C36'>"+$this.text+"</span>");
						} else{
							$(".areaList li:last").append("<span data-id='"+$this.value+"' class='cen'>"+$this.text+"</span>");
						}
					}
				}
			}
			break ;
		}
	}
	areaAddClass();
	//返回上一级
	$(".areaContent").on("tap", ".areaTitle" ,function(){
		initProvince();
	});
	
	//城市点击事件
	$(".areaList li").on("tap", "span", function(){
		var $this = $(this);
		$(".areaList li span").css("border", "1px solid #E4E4E4");
		$this.css("border", "1px solid #E86C36");
		
		if($this.text() == "不限"){
			codeValue = code;
			nameValue = name;
		} else{
			codeValue = $this.data("id");
			nameValue = name + "-" + $this.text();
		}
		
	});
}

function areaAddClass(){
	var bodyWidth = $("body").width();
	var widths = (bodyWidth - 20 - 240 - 8) / 3;
	$(".areaList li .cen").css("margin-right", widths + "px");
}



/**获取车辆类型数据*/
//sourceId == 0表示来自发布货源页面
//sourceId == 1表示来自找货页面或者搜索页面
function initCarTypeList(sourceId){
	var list = cityData5;
//	console.log(JSON.stringify(list));
	if(list != null && list.length > 0){
		$(".typeList").empty();
		for(var i = 0;i < list.length;i++){
			var obj = list[i]; 
			if(obj.text == "不限"){
				if(sourceId == 1){
					continue;
				}
			}
			$(".typeList").append("<li data-id='"+obj.id+"'><img src='images/g.png' class='g-img'>&nbsp;&nbsp;"+obj.text+"</li>");
		}
	}
}





