function initAddress(addressType, userId) {
	mui.ajax(URL.api_address_myList, {
		data: {
			userId: userId,
			pageSize: "-1",
			addressType:addressType
		},
		dataType: "json",
		type: "post",
		success: function(data) {
			if(data != null) {
				if(data.records != null && data.records.length > 0) {
					var list = data.records;
					var length = list.length;
					var addressList = document.getElementById("addressList");
					addressList.innerHTML = "";
					for(var i = 0; i < length; i++) {
						var liEle = document.createElement("li");
						liEle.setAttribute("data-id", list[i].addressId);
						liEle.setAttribute("data-name", list[i].areaName);
						var addressEle = document.createElement("div");
						addressEle.className = "address";
						addressEle.innerHTML = list[i].areaName;
						liEle.appendChild(addressEle);
						var addressinfoEle = document.createElement("div");
						addressinfoEle.className = "addressinfo";
						addressinfoEle.innerHTML = list[i].detailedAddress + " " + list[i].contractsPerson + " " + list[i].mobile;
						liEle.appendChild(addressinfoEle);
						addressList.appendChild(liEle);
					}
				}
			}
		},
		error: function(xhr, type, errorThrow) {
			//alert("服务器内部错误!");
			console.log(errorThrow);
			//mui.alert("获取历史地址错误!","消息提示");
			mui.toast("获取历史地址失败");
		}
	});
}