//用于覆盖util.js中的方法

function initCity(code, name){
	//$(".footerList").show();
	//$(".areaList").css("height", "270px");
	$(".areaList").empty();
	$(".areaTitle").empty();
	$(".areaTitle").append("<a>当前所在省份:"+name+"</a><div class='retuPrev'><i class='mui-icon mui-icon-undo'></i>返回上一级</div>");
	for(var i = 0;i < cityData3.length;i++){
		var obj = cityData3[i];
		if(code == obj.value){
			var cList = obj.children;
			if(cList != null && cList.length > 0){
				for(var j = 1;j < cList.length;j++){
					var $this = cList[j];
					if((j - 1) % 4 == 0){
						$(".areaList").append("<li></li>");
					}
					if(j % 4 == 0){
						if($this.value == tempCodeCity){
							$(".areaList li:last").append("<span data-id='"+$this.value+"' style='border:1px solid #E86C36'>"+$this.text+"</span>");
						} else{
							$(".areaList li:last").append("<span data-id='"+$this.value+"'>"+$this.text+"</span>");
						}
					} else{
						if(tempCodeCity == ""){
							if(j == 1){
								$(".areaList li:last").append("<span data-id='"+$this.value+"' class='cen' style='border:1px solid #E86C36'>"+$this.text+"</span>");
							} else{
								$(".areaList li:last").append("<span data-id='"+$this.value+"' class='cen'>"+$this.text+"</span>");
							}
						} else{
							if($this.value == tempCodeCity){
								$(".areaList li:last").append("<span data-id='"+$this.value+"' class='cen' style='border:1px solid #E86C36'>"+$this.text+"</span>");
							} else{
								$(".areaList li:last").append("<span data-id='"+$this.value+"' class='cen'>"+$this.text+"</span>");
							}
						}
					}
				}
			}
			break ; 
		}
	}
	areaAddClass();
	//返回上一级
	$(".areaContent").on("tap", ".areaTitle" ,function(){
		initProvince();
	});
	
	//城市点击事件
	$(".areaList li").on("tap", "span", function(){
		var $this = $(this);
		$(".areaList li span").css("border", "1px solid #E4E4E4");
		$this.css("border", "1px solid #E86C36");
		codeValue = $this.data("id");
		tempCodeProvince = code;
		tempCodeCity = $this.data("id");
		nameValue = name + "-" + $this.text();
		initZone(code, name,codeValue, nameValue);
	});
}


function initZone(parentCode, parentName,code, name){
	console.log(parentCode + "--" + code + "---" + name);
	$(".footerList").show();
	$(".areaList").css("height", "270px");
	$(".areaList").empty();
	$(".areaTitle").empty();
	$(".areaTitle").append("<a>当前所在城市:"+name+"</a><div class='retuPrev'><i class='mui-icon mui-icon-undo'></i>返回上一级</div>");
	for(var i = 0;i < cityData3.length;i++){
		var obj = cityData3[i];
		if(parentCode == obj.value){
			var cList = obj.children;
			if(cList != null && cList.length > 0){
				for(var j = 0;j < cList.length;j++){
					var cityObj = cList[j];
					console.log(JSON.stringify(cityObj));
					if(code == cityObj.value && cityObj.text != "不限"){
						var zoneList = cityObj.children;
						if(zoneList != undefined && zoneList.length > 0){
							for(var k = 0;k < zoneList.length;k++){
								var $this = zoneList[k];
								if(k % 4 == 0){
									$(".areaList").append("<li></li>");
								}
								if((k + 1) % 4 == 0){
									$(".areaList li:last").append("<span data-id='"+$this.value+"'>"+$this.text+"</span>");
								} else{
									if($this.text == "不限"){
										$(".areaList li:last").append("<span data-id='"+$this.value+"' class='cen' style='border:1px solid #E86C36'>"+$this.text+"</span>");
									} else{
										$(".areaList li:last").append("<span data-id='"+$this.value+"' class='cen'>"+$this.text+"</span>");
									}
								}
							}
						}
						break;
					}
				}
			}
			break ;
		}
	}
	areaAddClass();
	//返回上一级
	$(".areaContent").on("tap", ".areaTitle" ,function(){
		initCity(parentCode, parentName);
	});
	
	//城市点击事件
	$(".areaList li").on("tap", "span", function(){
		var $this = $(this);
		$(".areaList li span").css("border", "1px solid #E4E4E4");
		$this.css("border", "1px solid #E86C36");
		
		if($this.text() == "不限"){
			codeValue = code;
			nameValue = name;
		} else{
			codeValue = $this.data("id");
			nameValue = name + "-" + $this.text();
		}
	});
}
