var faceCode = ["[微笑]","[撇嘴]","[色]","[发呆]","[流泪]","[害羞]","[闭嘴]","[睡]","[大哭]","[尴尬]","[发怒]","[调皮]","[呲牙]","[惊讶]","[难过]","[冷汗]","[抓狂]","[吐]","[偷笑]","[可爱]","[白眼]","[傲慢]","[饥饿]","[困]","[惊恐]","[流汗]","[憨笑]","[大兵]","[奋斗]","[咒骂]","[疑问]","[嘘]","[晕]","[折磨]","[衰]","[敲打]","[再见]","[擦汗]","[抠鼻]","[糗大了]","[坏笑]","[左哼哼]","[右哼哼]","[哈欠]","[鄙视]","[委屈]","[快哭了]","[阴险]","[亲亲]","[吓]","[可怜]","[拥抱]","[月亮]","[太阳]","[炸弹]","[骷髅]","[菜刀]","[猪头]","[西瓜]","[咖啡]","[饭]","[爱心]","[强]","[弱]","[握手]","[胜利]","[抱拳]","[勾引]","[OK]","[NO]","[玫瑰]","[凋谢]","[示爱]","[爱情]","[飞吻]"];
var Tools = {
	//杨子涵
//	url:'http://192.168.188.177:8880',
	//徐佳维
//	url:'http://192.168.188.26:8088',
	//自己
//	url:'http://192.168.188.42',
	//测试环境
//	url:'http://192.168.188.215:8080',
	//正式环境
	url:'https://www.zwb56.com',

	pageSize:10,
	
	//禁止出现滚动条
	scrollIndicator:function(){
		mui.plusReady(function () {
			plus.webview.currentWebview().setStyle({
				scrollIndicator: 'none'
			});
		});
	},
	//初始化子页面
	initMuiWin:function(page,obj){
		var flag = obj ? obj : "";
		mui.init({
			//双击导航返回顶部
			gestureConfig:{
				doubletap:true
			},
			subpages:[{
				url:page,
				id:page,
				styles:{
					top: '45px',
					bottom: '0px',
				},
				extras:flag
			}]
		});
	},
	refreshPage:function(){
		window.addEventListener("flush", function(data){
			window.location.reload();
		});
	},
	
	
	
	mAjax2:function(url, params, callback, failCallBack, errorCallBack){
		if($.trim(url) == "" || url == null){
			mui.toast("url不能为空");
			return ;
		}
		if(params == null){
			params = {};
		}
		if(mui.os.android){
			params.client = "android";
		} else if(mui.os.ios){
			params.client = "ios";
		}
		mui.ajax(url, {
			data: params,
			dataType: "json",
			type: "post",
			beforeSend: function() {
				plus.nativeUI.showWaiting();
			},
			complete: function() {
				plus.nativeUI.closeWaiting();
			},
			timeout: 15000,//请求超时时间(单位：毫秒),如果请求超时会进入error回调
			success: function(data) {
				if(data == null){
					mui.toast("网络繁忙,请稍后重试");
				} else{
					if(data != null && data.state == false){
						if(typeof failCallBack == "function"){
							failCallBack(data);
						}
					} else{
						if (typeof callback == "function"){
							callback(data);
						}
					}
				}
				
			},
			error: function(xhr, type, errorThrow) {
				plus.nativeUI.closeWaiting();
				if(typeof errorCallBack == "function"){
					errorCallBack();
				}
			}
		});
	},
	
	
	mAjax1:function(url, params, callback,failCallBack){
		if($.trim(url) == "" || url == null){
			mui.toast("url不能为空");
			return ;
		}
		if(params == null){
			params = {};
		}
		if(mui.os.android){
			params.client = "android";
		} else if(mui.os.ios){
			params.client = "ios";
		}
		mui.ajax(url, {
			data: params,
			dataType: "json",
			type: "post",
			beforeSend: function() {
				plus.nativeUI.showWaiting();
			},
			complete: function() {
				plus.nativeUI.closeWaiting();
			},
			timeout: 15000,//请求超时时间(单位：毫秒),如果请求超时会进入error回调
			success: function(data) {
				if(data == null){
					mui.toast("网络繁忙,请稍后重试");
				} else{
					if(data != null && data.state == false){
						if(typeof failCallBack == "function"){
							failCallBack(data);
						}
					} else{
						if (typeof callback == "function"){
							callback(data);
						}
					}
				}
				
			},
			error: function(xhr, type, errorThrow) {
				mui.toast("网络繁忙,请稍后重试"); 
				plus.nativeUI.closeWaiting();
			}
		});
	},
	
	
	mAjax:function(url, params, callback){
		if(params == null){
			params = {};
		}
		if(mui.os.android){
			params.client = "android";
		} else if(mui.os.ios){
			params.client = "ios";
		}
		if($.trim(url) == "" || url == null){
			mui.toast("url不能为空");
			return ;
		}
		mui.ajax(url, {
			data: params,
			dataType: "json",
			type: "post",
			beforeSend: function() {
				plus.nativeUI.showWaiting();
			},
			complete: function() {
				plus.nativeUI.closeWaiting();
			},
			timeout: 15000,//请求超时时间(单位：毫秒),如果请求超时会进入error回调
			success: function(data) {
				if(data != null && data.state == false){
					mui.toast(data.info);
				} else{
					if (typeof callback == "function"){
						callback(data);
					}
				}
			},
			error: function(xhr, type, errorThrow) {
				mui.toast("网络繁忙,请稍后重试"); 
				plus.nativeUI.closeWaiting();
			}
		});
	},
	
	/**
	 *拨打电话
	 * flag:true表示弹出提示层是否拨打,false不弹出
	 * 默认不弹出
	 * 
	*/
	call:function(phoneNumber,flag){
		if($.trim(phoneNumber) == "" || phoneNumber == null || phoneNumber == undefined){
			mui.toast("电话号码不能为空");
			return false;
		}
		
		if(flag){
			var btnArray = ['拨打', '取消'];
			mui.confirm('是否拨打' + phoneNumber + '？', '消息提示', btnArray, function(e) {
				if(e.index == 0) {
					plus.device.dial(phoneNumber, false);
				}
			});
		} else{
			plus.device.dial(phoneNumber, false);
		}
	},
	
	//拨打客服电话
	//flag:true表示弹出提示层是否拨打,false不弹出
	callCustomService:function(flag){
		if(flag){
			var btnArray = ['拨打', '取消'];
			mui.confirm('是否拨打400-015-5656？', '消息提示', btnArray, function(e) {
				if(e.index == 0) {
					plus.device.dial("400-015-5656", false);
				}
			});
		} else{
			plus.device.dial("400-015-5656", false);
		}
	},
	
	//检查是否已经登录 然后做出相应的动作
	checkIsLogin:function(callback,flag){
		var token = this.getToken();
		if(token != "" && token != null){
			if (typeof callback == "function"){
				callback();
			}
		} else{
			var btnArray = ['否', '是'];
			mui.confirm("还未登陆，是否立即登录?","未登录",btnArray,function(e){
				if(e.index == 1) {
					mui.openWindow({
						url: "login.html", 
			   			id : "login.html"
					});
				}else{
					return;
				}
			});
		}
	},
	
	//获取Token
	getToken:function(){
		//mui.plusReady(function() {
			var token = plus.storage.getItem("token");
			return token;
		//})
	},
	
	//设置token
	setToken:function(tokenValue){
		plus.storage.setItem("token", tokenValue);
	},
	
	//设置是否接收新消息通知
	setReceiveNewMessage:function(flag){
		plus.storage.setItem("rNewMessage", flag + "");
	},
	//获取是否接收新消息通知
	getReceiveNewMessage:function(){
		return plus.storage.getItem("rNewMessage");
	},
	//设置是否开启免打扰
	setDisturb:function(flag){
		plus.storage.setItem("disturb", flag + "");
	},
	//获取是否开启免打扰
	getDisturb:function(){
		return plus.storage.getItem("disturb");
	},
	//设置登录账号类型(1:生产企业  2:物流企业  4:经纪人)
	setUserType:function(userType){
		//api参数类型是DOMString,所以userType必须转为字符串类型,否则无法存储
		plus.storage.setItem("usertype", userType + "");
	},
	
	//获取登录账号类型(1:生产企业  2:物流企业  4:经纪人)
	getUserType:function(){
		var userType = plus.storage.getItem("usertype"); 
		return userType;
	},
	
	//设置登录账号
	setLoginAccount:function(account){
		plus.storage.setItem("account", account);
	},
	//获取登录账号
	getLoginAccount:function(){
		return plus.storage.getItem("account");
	},
	//判断当前是否有网络连接
	getNetworkInfoStatus:function(){
		//获取当前网络类型
		var status = plus.networkinfo.getCurrentType();
		if(status == plus.networkinfo.CONNECTION_NONE){
			return false;
		} else{
			return true;
		}
	},
	
	
	openWindow:function(father,child){
		var aniShow = "pop-in";
		mui(father).on('tap', child, function() {
				var id = this.getAttribute('href');
				var href = this.href;
				var type = this.getAttribute("open-type");
				//不使用父子模板方案的页面
				if (type == "common") {
					var webview_style = {
						popGesture: "close"
					};
					//侧滑菜单需动态控制一下zindex值；
					if (~id.indexOf('offcanvas-')) {
						webview_style.zindex = 9998;
						webview_style.popGesture = ~id.indexOf('offcanvas-with-right') ? "close" : "none";
					}
					//图标界面需要启动硬件加速
					if(~id.indexOf('icons.html')){
						webview_style.hardwareAccelerated = true;
					}
					mui.openWindow({
						id: id,
						url: this.href,
						styles: webview_style,
						show: {
							aniShow: aniShow
						},
						waiting: {
							autoShow: false
						}
					});
				} else if (id && ~id.indexOf('.html')) {
					if (!mui.os.plus || (!~id.indexOf('popovers.html')&&mui.os.ios)) {
						mui.openWindow({
							id: id,
							url: this.href,
							styles: {
								popGesture: 'close'
							},
							show: {
								aniShow: aniShow
							},
							waiting: {
								autoShow: false
							}
						});
					} else {
						//TODO  by chb 当初这么设计，是为了一个App中有多个模板，目前仅有一个模板的情况下，实际上无需这么复杂
						//使用父子模板方案打开的页面
						//获得共用模板组
						var template = getTemplate('default');
						//判断是否显示右上角menu图标；
						var showMenu = ~href.indexOf('popovers.html') ? true : false;
						//获得共用父模板
						var headerWebview = template.header;
						//获得共用子webview
						var contentWebview = template.content;
						var title = this.innerText.trim();
						//通知模板修改标题，并显示隐藏右上角图标；
						mui.fire(headerWebview, 'updateHeader', {
							title: title,
							showMenu: showMenu,
							target:href,
							aniShow: aniShow
						});
						
						if(mui.os.ios||(mui.os.android&&parseFloat(mui.os.version)<4.4)){
							var reload = true;
							if (!template.loaded) {
								if (contentWebview.getURL() != this.href) {
									contentWebview.loadURL(this.href);
								} else {
									reload = false;
								}
							} else {
								reload = false;
							}
							(!reload) && contentWebview.show();
							
							headerWebview.show(aniShow, 150);
						}
					}
				}
			});
	},
	addClass:function(obj, cls){
	    var obj_class = obj.className;//获取 class 内容.
	    var blank = (obj_class != '') ? ' ' : '';//判断获取到的 class 是否为空, 如果不为空在前面加个'空格'.
	    var added = obj_class + blank + cls;//组合原来的 class 和需要添加的 class.
	    obj.className = added;//替换原来的 class.
	},
	removeClass:function(obj, cls){
	    var obj_class = ' '+obj.className+' ';//获取 class 内容, 并在首尾各加一个空格. ex) 'abc        bcd' -> ' abc        bcd '
	    obj_class = obj_class.replace(/(\s+)/gi, ' ');//将多余的空字符替换成一个空格. ex) ' abc        bcd ' -> ' abc bcd '
	    var removed = obj_class.replace(' '+cls+' ', ' ');//在原来的 class 替换掉首尾加了空格的 class. ex) ' abc bcd ' -> 'bcd '
	    removed = removed.replace(/(^\s+)|(\s+$)/g, '');//去掉首尾空格. ex) 'bcd ' -> 'bcd'
	    obj.className = removed;//替换原来的 class.
	},
	hasClass:function(obj, cls){
	    var obj_class = obj.className;//获取 class 内容.
	    var obj_class_lst = obj_class.split(/\s+/);//通过split空字符将cls转换成数组.
	    var x = 0;
	    for(x in obj_class_lst) {
	        if(obj_class_lst[x] == cls) {//循环数组, 判断是否包含cls
	            return true;
	        }
	    }
	    return false;
	}, 
	//限制指定类的元素只能输入数字的输入框只能输入数字
    inputOnlyFloatTwo: function () {
        //即时判断输入内容,并删除非数字的内容
        $(document).on("change blur input", "input[data-valid-type='float2']", function () {
            var value = $(this).val();
            var max = $(this).data("max-value");
            //先把非数字的都替换掉，除了数字和.
            value = value.replace(/[^\d.]/g, "");
            //必须保证第一个为数字而不是.
            value = value.replace(/^\./g, "");
            //保证只有出现一个.而没有多个.
            value = value.replace(/\.{2,}/g, ".");
            //保证.只出现一次，而不能出现两次以上
            value = value.replace(".", "$#$").replace(/\./g, "").replace("$#$", ".");
            //保证.只后面只能出现两位有效数字
            value = value.replace(/([0-9]+\.[0-9]{2})[0-9]*/, "$1");
            if(parseInt(value) > max){
                value = "";
            }
            $(this).val(value);
        });
    },
     //限制指定类的元素只能输入数字的输入框只能输入数字
    inputOnlyFloatOne: function () {
        //即时判断输入内容,并删除非数字的内容
        $(document).on("change blur input", "input[data-valid-type='float1']", function () {
            var value = $(this).val();
            var max = $(this).data("max-value");
            //先把非数字的都替换掉，除了数字和.
            value = value.replace(/[^\d.]/g, "");
            //必须保证第一个为数字而不是.
            value = value.replace(/^\./g, "");
            //保证只有出现一个.而没有多个.
            value = value.replace(/\.{2,}/g, ".");
            //保证.只出现一次，而不能出现两次以上
            value = value.replace(".", "$#$").replace(/\./g, "").replace("$#$", ".");
            //保证.只后面只能出现两位有效数字
            value = value.replace(/([0-9]+\.[0-9]{1})[0-9]*/, "$1");
            if(parseInt(value) > max){
                value = "";
            }
            $(this).val(value);
        });
    },
    replaceAll:function(str,s1,s2){
    	if(str == null || str == ""){
					return "";
				}else if(s1==null || s1 == ""){
					return str;
				}
				var xx = str;
				var newStr = "";

				while(xx.length>=1){
					var start = xx.indexOf(s1);
					if(start == -1){
						break;
					}
					var startStr = xx.substring(0,start+s1.length);
					newStr = newStr+startStr.replace(s1,s2);
					xx = xx.substring(start+s1.length);
				}
				return newStr+xx;
    }
};



//百度统计
var _hmt = _hmt || [];
var hm = document.createElement("script");
hm.src = "https://hm.baidu.com/hm.js?b0a744fce91720081a22d5fdd7a20697";
var s = document.getElementsByTagName("script")[0]; 
s.parentNode.insertBefore(hm, s);


